{% load static %}
<script src='https://cdnjs.cloudflare.com/ajax/libs/underscore.js/1.8.3/underscore-min.js' type='text/javascript'></script>
<script src="http://podio.github.io/jquery-mentions-input/lib/jquery.elastic.js"></script>
<script src="{% static 'libraries/jquery.mentionsInput.js' %}"></script>

<link href="{% static 'libraries/jquery.mentionsInput.css' %}" rel='stylesheet' type='text/css'>

<script type="text/javascript">
  function toogle_tab(elem){
    elem = $(elem);
    let class_objective = elem.attr('aria-controls');
    let nav_parent = elem.parent().parent();

    nav_parent.children().each((i,child)=>{
      child.classList.remove('show');
      child.classList.remove('active');
    })
    nav_parent.children('.'+class_objective).tab('show');
    // debugger;
  }

  function delete_data(elem){
    elem.parentNode.parentNode.remove();
    unsaved_changes();
  }
</script>

<div class="validation" style="display: none;" id="base_validation">
  <div class="data">
    <div class="headers">
      <div class="logic-type sub-sub-title"></div>
      <div class="variable sub-sub-title">
        Variable: <span></span>
      </div>
      <div class="description sub-sub-title">
        Descripción: <span></span>
      </div>
    </div>
    <div class="conditions-and-actions">
      <div class="logic-code">
        <textarea class="form-control python-code"></textarea>
      </div>
      <div class="logic-helper">
      </div>

      <div class="mark-result">
        <nav class="navbar-light">
          <div class="nav nav-tabs bg-light" role="tablist">
            <a class="navbar-item nav-link active" data-toggle="tab" role="tab" onclick="toogle_tab(this);" aria-controls="validate-ok" aria-selected="true">Al retornar Verdadero</a>
            <a class="navbar-item nav-link" data-toggle="tab" role="tab" onclick="toogle_tab(this);" aria-controls="validate-false" aria-selected="false">Al retornar Falso</a>
          </div>

          <div class="tab-pane validate-ok fade show active" role="tabpanel">
            <div class="marks">
              <div class="form-group color">
                <label>Colorear</label>
                <select class="custom-select value">
                  <option value="92D050">Verde</option>
                  <option value="ffc107">Amarillo</option>
                  <option value="C00000">Rojo</option>
                  <option value="">No colorear</option>
                </select>
              </div>
              <div class="form-group comment">
                <label>Comentar</label>
                <textarea class="form-control value" type="text" placeholder="No comentar la celda" maxlength="200"></textarea>
              </div>
            </div>
          </div>

          <div class="tab-pane validate-false fade" role="tabpanel">
            <div class="marks">
              <div class="form-group color">
                <label>Colorear</label>
                <select class="custom-select value">
                  <option value="C00000">Rojo</option>
                  <option value="ffc107">Amarillo</option>
                  <option value="92D050">Verde</option>
                  <option value="">No colorear</option>
                </select>
              </div>
              <div class="form-group comment">
                <label>Comentar</label>
                <textarea class="form-control value" type="text" placeholder="No comentar la celda" maxlength="200"></textarea>
              </div>
            </div>
          </div>

        </nav>
      </div>
    </div>
  </div>
  <div class="times">
    <a onclick="delete_data(this);">{{'times-solid.svg'|svgColor:'var(--danger)'|safe}}</a>
  </div>
</div>